#
# spec file for package rpm-python (Version 4.4.2)
#
# Copyright (c) 2007 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild

Name:           rpm-python
BuildRequires:  python-devel
License:        GNU General Public License (GPL)
Group:          System/Packages
Summary:        Python Bindings for Manipulating RPM Packages
Version:        4.4.2
Release:        97
Requires:       rpm = %{version}

%py_requires
Source99:       rpm.spec
%{expand:%(sed -n -e '/^Source:/,/^BuildRoot:/p' <%_sourcedir/rpm.spec)}

%description
The rpm-python package contains a module that permits applications
written in the Python programming language to use the interface
supplied by RPM Package Manager libraries.

This package should be installed if you want to develop Python programs
that will manipulate RPM packages and databases.



Authors:
--------
    Erik Troan <ewt@redhat.com>
    Marc Ewing <marc@redhat.com>

%prep
%{expand:%(sed -n -e '/^%%prep/,/^%%install/p' <%_sourcedir/rpm.spec | sed -e '1d' -e '$d')}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/lib
# only installing in python/ does not work because rpm links agains
# installed libs at install time
make DESTDIR="$RPM_BUILD_ROOT" install
find "%{buildroot}" -not -type d -and -not -path %{buildroot}%{_libdir}/python%{py_ver}/site-packages/rpm/\* -print0 | xargs -0 rm
pushd $RPM_BUILD_ROOT/%py_sitedir/rpm
rm -f _rpmmodule.a _rpmmodule.la
python %py_libdir/py_compile.py *.py
python -O %py_libdir/py_compile.py *.py
popd

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_libdir}/python*

%changelog
* Wed Oct 18 2006 - mls@suse.de
- use rpm.spec for building instead of duplication everything
- delete superfluous .a and .la files [#202604]
- create .pyc and .pyo files [#205711]
* Sun Oct 15 2006 - schwab@suse.de
- Make sure config.rpath is present.
* Fri Sep 22 2006 - aj@suse.de
- Fix for python2.5.
* Thu Sep 21 2006 - lnussel@suse.de
- do not package beecrypt python bindings as libbeecrypt is not
  packaged either
- fix literal %%{version} in Requires tag
* Thu Sep 21 2006 - lnussel@suse.de
- fix build with python 2.5 by overriding autodetection
* Tue Sep 19 2006 - rguenther@suse.de
- split from rpm package
